%global sfincb %{_datadir}/shellfu/include-bash
%global shellfu_req shellfu >= 0.10.44, shellfu < 0.11.0
%global saturnin_req shellfu-bash-saturnin >= 0.5.14, shellfu-bash-saturnin < 0.6.0
%global jat_req shellfu-bash-jat >= 0.2.0, shellfu-bash-jat < 0.3.0
%global jats_req shellfu-bash-jats >= 0.0.10, shellfu-bash-jats < 0.0.11

%if 0%{?rhel} && 0%{?rhel} <= 7
%bcond_without legacy
%else
%bcond_with legacy
%endif

Name:       jattool
Version:    0.3.11
Release:    1%{?dist}
Summary:    jattool - Tool and related code for JAT testing framework
URL:        https://gitlab.com/vornet/jats/jattool
License:    LGPLv2
Source0:    %{name}-%{version}.tar.gz
BuildArch:  noarch
BuildRequires: /usr/bin/make

Requires: jattool-minimal == %{version}
Requires: jattool-report == %{version}
Requires: jattool-tdk == %{version}
%description
JAT is a testing framework for Shell-based test suites.

This package is intended for test development workstations and requires
all other sub-packages.

%package minimal
Requires: %shellfu_req
Requires: %saturnin_req
Requires: shellfu-bash
Requires: %jat_req
Requires: %jats_req
Requires: shellfu-bash-arr
Requires: shellfu-bash-pretty
Summary: JAT harness and test discovery
%description minimal
JAT is a testing framework for Shell-based test suites.

This sub-package contains minimal set of tools, just for test discovery and
running.

%package report
Requires: jattool-minimal == %{version}
%if %{with legacy}
Requires: python-jinja2
Requires: python2-jats >= 0.3.6
Requires: python2-jats < 0.4.0
Requires: python2
%else
Requires: python3-jats >= 0.3.6
Requires: python3-jats < 0.4.0
Requires: python3-jinja2
Requires: python3
%endif
Summary: JAT result post-processing
%description report
JAT is a testing framework for Shell-based test suites.

This sub-package contains tools for result parsing and post-processing.

%package tdk
Requires: git
Requires: make
Summary: JAT test development kit
%description tdk
JAT is a testing framework for Shell-based test suites.

This sub-package contains files and tools to help with test
development.

%prep
%setup -q

%build
make %{?_smp_mflags} PREFIX=/usr

%install
%make_install PREFIX=/usr

%files
%dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/README.md

%files minimal
%dir %{_datadir}/%{name}
%dir %{_libexecdir}/%{name}
%{_bindir}/%{name}
%{_datadir}/%{name}/complete/runid.sh
%{_datadir}/%{name}/complete/runtest.sh
%{_datadir}/%{name}/complete/sfind.sh
%{_datadir}/%{name}/complete/tfind.sh
%{_datadir}/%{name}/help
%{_datadir}/bash-completion/completions/%{name}
%{_libexecdir}/%{name}/%{name}-_qrun
%{_libexecdir}/%{name}/%{name}-runid
%{_libexecdir}/%{name}/%{name}-runplan
%{_libexecdir}/%{name}/%{name}-runtest
%{_libexecdir}/%{name}/%{name}-sfind
%{_libexecdir}/%{name}/%{name}-tfind

%files report
%{_datadir}/%{name}/complete/export.sh
%{_datadir}/jattool/jinja2/_errors.j2
%{_datadir}/jattool/jinja2/cases.txt.j2
%{_datadir}/jattool/jinja2/html.j2
%{_datadir}/jattool/jinja2/jat2rl.j2
%{_datadir}/jattool/jinja2/txt.j2
%{_libexecdir}/%{name}/%{name}-export

%files tdk
%dir %{_datadir}/%{name}/tdk/skel
%dir %{_datadir}/%{name}/tdk/skel/packaging
%dir %{_datadir}/%{name}/tdk/skel/packaging/debian
%dir %{_datadir}/%{name}/tdk/skel/packaging/debian/source
%dir %{_datadir}/%{name}/tdk/utils/mkit
%dir %{_datadir}/%{name}/tdk/utils/mkit/include
%{_datadir}/%{name}/tdk/Makefile
%{_datadir}/%{name}/tdk/skel/mkit.ini
%{_datadir}/%{name}/tdk/skel/packaging/debian/changelog
%{_datadir}/%{name}/tdk/skel/packaging/debian/compat
%{_datadir}/%{name}/tdk/skel/packaging/debian/control
%{_datadir}/%{name}/tdk/skel/packaging/debian/copyright
%{_datadir}/%{name}/tdk/skel/packaging/debian/install
%{_datadir}/%{name}/tdk/skel/packaging/debian/rules
%{_datadir}/%{name}/tdk/skel/packaging/debian/source/format
%{_datadir}/%{name}/tdk/skel/packaging/template.spec
%{_datadir}/%{name}/tdk/utils/jatdoc
%{_datadir}/%{name}/tdk/utils/mkit/include/build.sh
%{_datadir}/%{name}/tdk/utils/mkit/include/deploy.sh
%{_datadir}/%{name}/tdk/utils/mkit/include/facts.sh
%{_datadir}/%{name}/tdk/utils/mkit/include/ini.sh
%{_datadir}/%{name}/tdk/utils/mkit/include/mkit.sh
%{_datadir}/%{name}/tdk/utils/mkit/include/release.sh
%{_datadir}/%{name}/tdk/utils/mkit/include/vars.sh
%{_datadir}/%{name}/tdk/utils/mkit/make
%{_datadir}/%{name}/tdk/utils/mkit/mkit.mk
%{_datadir}/%{name}/tdk/utils/mkit/stub

%changelog

# specfile built with MKit 0.0.53
